Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCsform

## Specification of methods

### getStatus method

Form
  long getStatus()
Function
  Returns the state of whether the form is under resizing by the separator.
Description
Parameters
  None.
Return value
  Returns WS_SFORM_FIXED if not resizing; returns WS_SFORM_UNDER_RESIZENG if under resizing.
Notice
  On under resizing, the instance receives many resizing event. If it can not perform fully, you can discard the events to observe the state with this method.
Samples

        long status = newsfor_000->getStatus();
        if (status == WS_SFORM_FIXED){
          //stable...
        }else
        if (status == WS_SFORM_UNDER_RESIZING){
          //under resizing...
        }

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004